﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["GridData"] == null)
        {
            Session["GridData"] = GetEmployees();
            WebDataGrid1.DataSource = Session["GridData"];
            WebDataGrid1.DataBind();

        }
        else
        {
            WebDataGrid1.DataSource = Session["GridData"];
        }

        this.WebDataGrid1.Behaviors.Paging.PagerTemplate = new CustomPagerTemplate();
    }

    private DataTable GetEmployees()
    {
        DataTable dtData = new DataTable("Employees");

        dtData.Columns.Add("EmployeeID", typeof(int));
        dtData.Columns.Add("Name", typeof(string));
        dtData.Columns.Add("DateOfHire", typeof(DateTime));
        dtData.Columns.Add("Department", typeof(int));


        for (int i = 0; i < 20; i++)
        {
            dtData.Rows.Add(new object[] { i, string.Format("Name {0}", i), DateTime.Today.Date.AddDays(-1 * i), i % 8 });
        }

        dtData.PrimaryKey = new DataColumn[] { dtData.Columns["EmployeeID"] };

        return dtData;
    }

    private class CustomPagerTemplate : ITemplate
    {
        #region ITemplate Members

        public void InstantiateIn(Control container)
        {
            HtmlButton prevButton = new HtmlButton();
            prevButton.ID = "PrevButton";
            prevButton.InnerText = "Prev";
            prevButton.Attributes["onclick"] = "return PreviousPage()";

            DropDownList ddl = new DropDownList();
            ddl.ID = "DropDownList1";

            for (int i = 1; i <= 2; i++)
            {
                ddl.Items.Add(i.ToString());
            }

            ddl.Attributes["onchange"] = "return IndexChanged()";

            HtmlButton nextButton = new HtmlButton();
            nextButton.InnerText = "Next";
            nextButton.Attributes["onclick"] = "return NextPage()";

            container.Controls.Add(prevButton);
            container.Controls.Add(ddl);
            container.Controls.Add(nextButton);
        }

        #endregion
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (WebDataGrid1.Behaviors.Paging.PageSize == 10)
            WebDataGrid1.Behaviors.Paging.PageSize = 5;
        else
            WebDataGrid1.Behaviors.Paging.PageSize = 10;
    }
}